import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { openFromOtherPage } from "../utils/openFromOtherpAge";
import { H2, H3 } from "../components/headings";
export function Proof() {
  const location = useLocation();

    useEffect(() => {
        const params = new URLSearchParams(location.search);
        const collapseId = params.get('collapseId');
        const tabId = params.get('tab');

        // Scroll to the section specified by collapseId
        if (collapseId) {
            const collapseElement = document.getElementById(collapseId);
            if (collapseElement) {
                const elementTop = collapseElement.getBoundingClientRect().top + window.pageYOffset;
                const offset = window.innerHeight / 2 - collapseElement.offsetHeight / 2;
                const scrollPosition = elementTop - offset;

                window.scrollTo({
                    top: scrollPosition,
                    behavior: 'smooth',
                });
            }
        }

        // Open the tab specified by tabId
        if (tabId) {
            openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
        }
    }, [location.search]);

    return (
      <>
        <section >
          <H2 text="Preliminary test with lipofectamine 2000" id="prelim-2000"/>
          <H3 text="Seeding" id="prelim-2000-seeding"/>
          <H3 text="Transfection" id="prelim-2000-transfection"/>
          <H3 text="Microscopy" id="prelim-2000-microscopy"/>
          <table>
            <tr>
              <th>Plasmid</th>
              <th>Expected results</th>
              <th>Results</th>
            </tr>
            <tr>
              <th></th>
              <th></th>
              <th></th>
            </tr>
          </table>
        </section>
        <section >
          <H2 text="Positiv control and optimization with lipofectamin 2000" id="pos-control-2000"/>
          <H3 text="Seeding" id="pos-control-2000-seeding"/>
          <H3 text="Transfection" id="pos-control-2000-transfection"/>
          <H3 text="Microscopy" id="pos-control-2000-microscopy"/>
          <table>
            <tr>
              <th>Plasmid</th>
              <th>Expected results</th>
              <th>Results</th>
            </tr>
            <tr>
              <th></th>
              <th></th>
              <th></th>
            </tr>
          </table>
        </section>
        <section >
        <H2 text="Positiv control and optimization with lipofectamin 3000" id="pos-control-3000"/>
          <H3 text="Seeding" id="pos-control-3000-seeding"/>
          <H3 text="Transfection" id="pos-control-3000-transfection"/>
          <H3 text="Microscopy" id="pos-control-3000-microscopy"/>
          <table>
            <tr>
              <th>Plasmid</th>
              <th>Expected results</th>
              <th>Results</th>
            </tr>
            <tr>
              <th></th>
              <th></th>
              <th></th>
            </tr>
          </table>
        </section>
        <section id="poc-3000">
          <H2 text="Preliminary test with lipofectamine 3000" id="poc-3000"/>
          <H3 text="Seeding" id="poc-3000-seeding"/>
          <H3 text="Transfection" id="poc-3000-transfection"/>
          <H3 text="Microscopy" id="poc-3000-microscopy"/>
          <table>
            <tr>
              <th>Plasmid</th>
              <th>Expected results</th>
              <th>Results</th>
            </tr>
            <tr>
              <th></th>
              <th></th>
              <th></th>
            </tr>
          </table>
        </section>
      </>
    );
  }
  